### Signal

# Gtk ColorChooser::color-activated

deprecated: 4.10 since: 4.0

#### Declaration

    void
    color_activated (
      GtkColorChooser* self,
      GdkRGBA* color,
      gpointer user_data
    )

#### Description [src]

Emitted when a color is activated from the color chooser.

This usually happens when the user clicks a color swatch, or a color is selected and the user presses one of the keys Space, Shift+Space, Return or Enter.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0
Deprecated since: 4.10
Use `GtkColorDialog` and `GtkColorDialogButton` instead of widgets implementing `GtkColorChooser`

#### Parameters

`color`

  Type: `GdkRGBA`

  The color.

  The data is owned by the caller of the function.